Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.urlfetch
Class FetchOptions.Builder

    java.lang.Object
      com.google.appengine.api.urlfetch.FetchOptions.Builder

Enclosing class:
  FetchOptions

    public static final class FetchOptions.Builder

extends java.lang.Object

Contains static creation methods for `FetchOptions`.

Method Summary
`static FetchOptions` | `allowTruncate()` Create a `FetchOptions` that allows truncation of the response.
`static FetchOptions` | `disallowTruncate()` Create a `FetchOptions` that disallows truncation of the response.
`static FetchOptions` | `doNotFollowRedirects()` Create a `FetchOptions` that does not follow redirects.
`static FetchOptions` | `followRedirects()` Create a `FetchOptions` that follows redirects.
`static FetchOptions` | `withDeadline(double deadline)` Create a `FetchOptions` with the specified deadline.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### allowTruncate

    public static FetchOptions allowTruncate()

  Create a `FetchOptions` that allows truncation of the response. Shorthand for `new FetchOptions().allowTruncate();`. Please read the `FetchOptions` class javadoc for an explanation of how response truncating works.

  Returns:
    The newly created FetchOptions instance.

### disallowTruncate

    public static FetchOptions disallowTruncate()

  Create a `FetchOptions` that disallows truncation of the response. Shorthand for `new FetchOptions().disallowTruncate();`. Please read the `FetchOptions` class javadoc for an explanation of how esponse truncating works.

  Returns:
    The newly created FetchOptions instance.

### followRedirects

    public static FetchOptions followRedirects()

  Create a `FetchOptions` that follows redirects. Shorthand for `new FetchOptions().followRedirects();`. Please read the `FetchOptions` class javadoc for an explanation of how redirection following works.

  Returns:
    The newly created FetchOptions instance.

### doNotFollowRedirects

    public static FetchOptions doNotFollowRedirects()

  Create a `FetchOptions` that does not follow redirects. Shorthand for `new FetchOptions().followRedirects();`. Please read the `FetchOptions` class javadoc for an explanation of how redirection following works.

  Returns:
    The newly created FetchOptions instance.

### withDeadline

    public static FetchOptions withDeadline(double deadline)

  Create a `FetchOptions` with the specified deadline. Shorthand for `new FetchOptions().setDeadline(deadline);`.

  Returns:
    The newly created FetchOptions instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD